package cn.ibizlab.r7.runtime.core.r7rt_base.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.core.r7rt_base.domain.LoginAccountPwd;
import cn.ibizlab.r7.runtime.core.r7rt_base.filter.LoginAccountPwdSearchContext;

/**
 * 实体[LoginAccountPwd] 服务对象接口
 */

public interface ILoginAccountPwdService{
     boolean checkKey(LoginAccountPwd loginAccountPwd) ;
     boolean update(LoginAccountPwd loginAccountPwd) ;
     boolean remove(String loginAccountPwdId) ;
     LoginAccountPwd get(String loginAccountPwdId) ;
     LoginAccountPwd get(LoginAccountPwd loginAccountPwd) ;
     boolean save(LoginAccountPwd loginAccountPwd) ;
     boolean create(LoginAccountPwd loginAccountPwd) ;
     LoginAccountPwd getDraft(LoginAccountPwd loginAccountPwd) ;

    /**
     * 查询集合 DEFAULT
     */
    Page<LoginAccountPwd> searchDefault(LoginAccountPwdSearchContext context) ;

    /**
     * 根据登录账号查询
     */
     Page<LoginAccountPwd> selectByLoginacccoutDR(String loginaccountid) ;
     List<LoginAccountPwd> selectByLoginacccoutDR2(String loginaccountid);

}
